%define module_version 0.07
%define module_name Bio-Taxonomy-GlobalNames
# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(JSON.pm) perl(JSON/Parse.pm) perl(LWP/UserAgent.pm) perl(Moo.pm) perl(Moo/Lax.pm) perl(REST/Client.pm) perl(Scalar/Readonly.pm) perl(Test/Exception.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.07
Release: alt1
Summary: Perlish OO bindings to the L<Global Names Resolver|http://resolver.globalnames.org/> API
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/D/DG/DGKONTOP/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
Bio::Taxonomy::GlobalNames provides Perl objects and functions that 
interface with the Global Names Resolver web service. Using a REST client, 
input is sent to the service, whereas results are internally converted 
from JSON format to nested objects and returned to the user.

This module can be used for automated standardisation of species names, 
according to a variety of sources that can be manually selected, if needed. 
See also the example script, provided with this module.


%prep
%setup -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes examples
%perl_vendor_privlib/B*

%changelog
* Tue Dec 23 2014 Igor Vlasenko <viy@altlinux.ru> 0.07-alt1
- regenerated from template by package builder

* Tue Apr 01 2014 Igor Vlasenko <viy@altlinux.ru> 0.06-alt1
- regenerated from template by package builder

* Tue Mar 11 2014 Igor Vlasenko <viy@altlinux.ru> 0.04-alt1
- initial import by package builder

